> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize

> Start OAuth authorization — validate params, redirect to Clerk login.



## OpenAPI

````yaml /openapi.json get /v1/oauth/authorize
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/oauth/authorize:
    get:
      tags:
        - oauth
      summary: Authorize
      description: Start OAuth authorization — validate params, redirect to Clerk login.
      operationId: authorize_v1_oauth_authorize_get
      parameters:
        - name: client_id
          in: query
          required: true
          schema:
            type: string
            title: Client Id
        - name: redirect_uri
          in: query
          required: true
          schema:
            type: string
            title: Redirect Uri
        - name: response_type
          in: query
          required: true
          schema:
            type: string
            title: Response Type
        - name: state
          in: query
          required: true
          schema:
            type: string
            title: State
        - name: code_challenge
          in: query
          required: true
          schema:
            type: string
            title: Code Challenge
        - name: code_challenge_method
          in: query
          required: false
          schema:
            type: string
            default: S256
            title: Code Challenge Method
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````